NX Open C++ Reference Guide
|
Represents the set of Modeling preferences applicable to entire session
To obtain an instance of this class, refer to Preferences::SessionPreferences
Created in NX3.0.0.
More...
Public Member Functions | |
int | AccelerationColor () |
Returns the acceleration color Created in NX3.0.0. | |
bool | ActivateFeatureGroupWithRollback () |
Returns the flag to activate the feature group with rollback or not, if the flag is true, the highest member feature will be made as current feature Created in NX8.5.0. | |
bool | AllowEditingOfDimensionOfInternalSketch () |
Returns the option "allow_editing_of_dimension_of_internal_sketch" gives choice, whether or not the sketch dimensions will display and be possible to select and edit directly, without entering the Sketch task environment when a dialog (e.g. | |
bool | AssociativeEditFreeForm () |
Returns the associative edit free form option. | |
NXOpen::Preferences::SessionModeling::BodyTypeOption | BodyType () |
Returns the body type. | |
NXOpen::Preferences::SessionModeling::BooleanFacePropertiesInheritance | BooleanFaceProperties () |
Returns the boolean face properties inheritance. | |
int | CurvatureColor () |
Returns the curvature color Created in NX3.0.0. | |
NXOpen::Preferences::SessionModeling::CurveFitMethodType | CurveFitMethod () |
Returns the curve fit method. | |
bool | DisplayLegacyFeatureName () |
Returns the toggle "Display Legacy Feature names" gives choice, how user wants feature name in "Name" Coulmn in Partnav checked toggled(True) will show old feature names in "Name" column in Partnav, while unchecked toggled(False) will show new translatable feature names in "Name" column in Partnav Created in NX4.0.0. | |
NXOpen::Preferences::SessionModeling::DynamicUpdateType | DynamicUpdate () |
Returns the dynamic update. | |
bool | EditWithRollbackUponDoubleClick () |
Returns the option "Edit with Rollback upon Double-Click" gives choice of what action to be taken on feature upon Double clicking, either in partnavigator or in Graphics widow. | |
bool | EnableTrimmedAnimation () |
Returns the enable trimmed animation setting. | |
int | EndpointDisplayColor () |
Returns the color for display endpoints for curves. | |
bool | EndpointDisplayInheritColor () |
Returns the endpoint color inherit option, for display with curves. | |
NXOpen::Preferences::SessionModeling::EndpointDisplayStyleType | EndpointDisplayStyle () |
Returns the style (2D disk, mark, etc.) of the endpoints for display of curves. | |
NXOpen::Preferences::SessionModeling::FreeFormConstructionResultType | FreeFormConstructionResult () |
Returns the free form construction result. | |
NXOpen::Preferences::SessionModeling::ImmediateChildrenType | ImmediateChildren () |
Returns the immediate children. | |
bool | InterruptUpdateOnError () |
Returns the option "Interrupt Update on Error" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain errors during feature update/playback. | |
bool | InterruptUpdateOnMissingReferences () |
Returns the option "Interrupt Update on Missing References" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain missing references during feature update/playback. | |
bool | InterruptUpdateOnWarning () |
Returns the option "Interrupt Update on Warning" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain warnings during feature update/playback. | |
NXOpen::Preferences::SessionModeling::LinkedAndExtractedGeometryPropertiesInheritance | LinkedAndExtractedGeometryProperties () |
Returns the linked and extracted geometry properties inheritance. | |
bool | MakeCurrentOnError () |
Returns the option "Make Current on Error" gives choice, whether the user wants to make error feature current when features contain errors during feature update/playback. | |
bool | MakeDatumsInternal () |
Returns the option specifying whether to automatically make the datums internal during the sketch creation. | |
bool | MakeSketchesInternal () |
Returns the option specifying whether to automatically make sketch internal during feature creation. | |
NXOpen::Preferences::SessionModeling::NewFacePropertiesInheritance | NewFaceProperties () |
Returns the new face properties inheritance. | |
bool | NotifyOnDelete () |
Returns the option " Notify on Delete " gives choice, whether the user wants a notification message when a feature is being deleted will effect other features. | |
int | PmarkFrequency () |
Returns the features/mark. | |
int | PoleDisplayColor () |
Returns the color for display poles for B curves. | |
bool | PoleDisplayInheritColor () |
Returns the pole color inherit option, for display with B curves. | |
NXOpen::Preferences::SessionModeling::PoleDisplayStyleType | PoleDisplayStyle () |
Returns the style (3D ball, 2D disk, mark, etc.) of the poles for display of B curves. | |
int | PoleEditColor () |
Returns the color for editing poles for B curves and B surfaces. | |
bool | PoleEditInheritColor () |
Returns the pole color inherit option, for editing B curves and B surfaces. | |
NXOpen::Preferences::SessionModeling::PoleEditStyleType | PoleEditStyle () |
Returns the style (3D ball, 2D disk, mark, etc.) of the poles for editing B curves and B surfaces. | |
int | PolylineDisplayColor () |
Returns the color for display polylines for B curves and B surfaces Created in NX7.5.0. | |
bool | PolylineDisplayInheritColor () |
Returns the polyline color inherit option, for display with B curves and B surfaces. | |
NXOpen::Preferences::SessionModeling::PolylineStyleType | PolylineDisplayStyle () |
Returns the style (solid, dashed, etc.) of the polylines display for B curves and B surfaces. | |
int | PolylineEditColor () |
Returns the color for editing polylines for B curves and B surfaces. | |
bool | PolylineEditInheritColor () |
Returns the polyline color inherit option, for editing B curves and B surfaces. | |
NXOpen::Preferences::SessionModeling::PolylineStyleType | PolylineEditStyle () |
Returns the style (solid, dashed, etc.) of the polylines for editing B curves and B surfaces. | |
int | PositionColor () |
Returns the position color Created in NX3.0.0. | |
NXOpen::Preferences::SessionModeling::PreviewResolutionType | PreviewResolution () |
Returns the preview resolution setting. | |
bool | SaveRollbackData () |
Returns the option " Save Rollback Data " saves extra data with the part file for faster edits. | |
void | SetAccelerationColor (int accelerationColor) |
Sets the acceleration color Created in NX3.0.0. | |
void | SetActivateFeatureGroupWithRollback (bool activateFeatureGroupWithRollback) |
Sets the flag to activate the feature group with rollback or not, if the flag is true, the highest member feature will be made as current feature Created in NX8.5.0. | |
void | SetAllowEditingOfDimensionOfInternalSketch (bool allowEditingOfDimensionOfInternalSketch) |
Sets the option "allow_editing_of_dimension_of_internal_sketch" gives choice, whether or not the sketch dimensions will display and be possible to select and edit directly, without entering the Sketch task environment when a dialog (e.g. | |
void | SetAssociativeEditFreeForm (bool associativeEditFreeForm) |
Sets the associative edit free form option. | |
void | SetBodyType (NXOpen::Preferences::SessionModeling::BodyTypeOption bodyType) |
Sets the body type. | |
void | SetBooleanFaceProperties (NXOpen::Preferences::SessionModeling::BooleanFacePropertiesInheritance booleanFaceProperties) |
Sets the boolean face properties inheritance. | |
void | SetCurvatureColor (int curvatureColor) |
Sets the curvature color Created in NX3.0.0. | |
void | SetCurveFitMethod (NXOpen::Preferences::SessionModeling::CurveFitMethodType bodyType) |
Sets the curve fit method. | |
void | SetDisplayLegacyFeatureName (bool displayLegacyFeatureName) |
Sets the toggle "Display Legacy Feature names" gives choice, how user wants feature name in "Name" Coulmn in Partnav checked toggled(True) will show old feature names in "Name" column in Partnav, while unchecked toggled(False) will show new translatable feature names in "Name" column in Partnav Created in NX4.0.0. | |
void | SetDynamicUpdate (NXOpen::Preferences::SessionModeling::DynamicUpdateType dynamicUpdate) |
Sets the dynamic update. | |
void | SetEditWithRollbackUponDoubleClick (bool defaultEditOption) |
Sets the option "Edit with Rollback upon Double-Click" gives choice of what action to be taken on feature upon Double clicking, either in partnavigator or in Graphics widow. | |
void | SetEnableTrimmedAnimation (bool enable) |
Sets the enable trimmed animation setting. | |
void | SetEndpointDisplayColor (int endpointDisplayColor) |
Sets the color for display endpoints for curves. | |
void | SetEndpointDisplayInheritColor (bool endpointDisplayInheritColor) |
Sets the endpoint color inherit option, for display with curves. | |
void | SetEndpointDisplayStyle (NXOpen::Preferences::SessionModeling::EndpointDisplayStyleType endpointDisplayStyle) |
Sets the style (2D disk, mark, etc.) of the endpoints for display of curves. | |
void | SetFreeFormConstructionResult (NXOpen::Preferences::SessionModeling::FreeFormConstructionResultType freeFormConstrResult) |
Sets the free form construction result. | |
void | SetImmediateChildren (NXOpen::Preferences::SessionModeling::ImmediateChildrenType immediateChildren) |
Sets the immediate children. | |
void | SetInterruptUpdateOnError (bool interruptOnError) |
Sets the option "Interrupt Update on Error" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain errors during feature update/playback. | |
void | SetInterruptUpdateOnMissingReferences (bool interruptOnMissingReferences) |
Sets the option "Interrupt Update on Missing References" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain missing references during feature update/playback. | |
void | SetInterruptUpdateOnWarning (bool interruptOnWarning) |
Sets the option "Interrupt Update on Warning" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain warnings during feature update/playback. | |
void | SetLinkedAndExtractedGeometryProperties (NXOpen::Preferences::SessionModeling::LinkedAndExtractedGeometryPropertiesInheritance linkedAndExtractedGeometryProperties) |
Sets the linked and extracted geometry properties inheritance. | |
void | SetMakeCurrentOnError (bool currentOnError) |
Sets the option "Make Current on Error" gives choice, whether the user wants to make error feature current when features contain errors during feature update/playback. | |
void | SetMakeDatumsInternal (bool makeDatumsInternal) |
Sets the option specifying whether to automatically make the datums internal during the sketch creation. | |
void | SetMakeSketchesInternal (bool makeSketchesInternal) |
Sets the option specifying whether to automatically make sketch internal during feature creation. | |
void | SetNewFaceProperties (NXOpen::Preferences::SessionModeling::NewFacePropertiesInheritance newFaceProperties) |
Sets the new face properties inheritance. | |
void | SetNotifyOnDelete (bool notifyOnDelete) |
Sets the option " Notify on Delete " gives choice, whether the user wants a notification message when a feature is being deleted will effect other features. | |
void | SetPmarkFrequency (int pmarkFrequency) |
Sets the features/mark. | |
void | SetPoleDisplayColor (int poleDisplayColor) |
Sets the color for display poles for B curves. | |
void | SetPoleDisplayInheritColor (bool poleDisplayInheritColor) |
Sets the pole color inherit option, for display with B curves. | |
void | SetPoleDisplayStyle (NXOpen::Preferences::SessionModeling::PoleDisplayStyleType poleDisplayStyle) |
Sets the style (3D ball, 2D disk, mark, etc.) of the poles for display of B curves. | |
void | SetPoleEditColor (int poleEditColor) |
Sets the color for editing poles for B curves and B surfaces. | |
void | SetPoleEditInheritColor (bool poleEditInheritColor) |
Sets the pole color inherit option, for editing B curves and B surfaces. | |
void | SetPoleEditStyle (NXOpen::Preferences::SessionModeling::PoleEditStyleType poleEditStyle) |
Sets the style (3D ball, 2D disk, mark, etc.) of the poles for editing B curves and B surfaces. | |
void | SetPolylineDisplayColor (int polylineDisplayColor) |
Sets the color for display polylines for B curves and B surfaces Created in NX7.5.0. | |
void | SetPolylineDisplayInheritColor (bool polylineDisplayInheritColor) |
Sets the polyline color inherit option, for display with B curves and B surfaces. | |
void | SetPolylineDisplayStyle (NXOpen::Preferences::SessionModeling::PolylineStyleType polylineDisplayStyle) |
Sets the style (solid, dashed, etc.) of the polylines display for B curves and B surfaces. | |
void | SetPolylineEditColor (int polylineEditColor) |
Sets the color for editing polylines for B curves and B surfaces. | |
void | SetPolylineEditInheritColor (bool polylineEditInheritColor) |
Sets the polyline color inherit option, for editing B curves and B surfaces. | |
void | SetPolylineEditStyle (NXOpen::Preferences::SessionModeling::PolylineStyleType polylineEditStyle) |
Sets the style (solid, dashed, etc.) of the polylines for editing B curves and B surfaces. | |
void | SetPositionColor (int positionColor) |
Sets the position color Created in NX3.0.0. | |
void | SetPreviewResolution (NXOpen::Preferences::SessionModeling::PreviewResolutionType resolution) |
Sets the preview resolution setting. | |
void | SetSaveRollbackData (bool retainRollbackData) |
Sets the option " Save Rollback Data " saves extra data with the part file for faster edits. | |
void | SetShareGeometriesOption (NXOpen::Preferences::SessionModeling::ShareGeometriesOnSaveType shareGeometryOnSave) |
Sets the option " Share Geometry on Save " gives choice of whether to share geometries among Parasolid solid entities on save or not Created in NX8.5.0. | |
void | SetShowSimuationUiInModeling (bool showSimuationUiInModeling) |
Sets the option to specify whether simulation specific UI should show up in modeling Created in NX7.5.0. | |
void | SetSketchDefaultAction (NXOpen::Preferences::SessionModeling::SketchDefaultActionType sketchAction) |
Sets the sketch default action Created in NX7.5.0. | |
void | SetSketchEditOption (NXOpen::Preferences::SessionModeling::SketchEditType sketchEditOption) |
Sets the option that determines whether or not task environment is used to edit the sketch Created in NX7.5.0. | |
void | SetSplineDefaultActionType (NXOpen::Preferences::SessionModeling::SplineDefaultActionTypes action) |
Sets the value indicating the default action for a spline. | |
void | SetSurfaceExtension (NXOpen::Preferences::SessionModeling::SurfaceExtensionOption surfaceExtensionOption) |
Sets the surface extension option. | |
void | SetTangentColor (int tangentColor) |
Sets the tangent color Created in NX3.0.0. | |
void | SetUpdateDelayed (bool option) |
Sets the update delayed option. | |
void | SetUpdateFailureReportPreference (bool updateFailureReport) |
Sets the option "Update Failure Report" gives choice, whether the user wants the update failure report to be generated for the features that failed during current update cycle. | |
void | SetUpdatePending (bool option) |
Sets the update pending option. | |
void | SetUseTriangularMesh (bool use) |
Sets the use triangular mesh setting setting. | |
NXOpen::Preferences::SessionModeling::ShareGeometriesOnSaveType | ShareGeometriesOption () |
Returns the option " Share Geometry on Save " gives choice of whether to share geometries among Parasolid solid entities on save or not Created in NX8.5.0. | |
bool | ShowSimuationUiInModeling () |
Returns the option to specify whether simulation specific UI should show up in modeling Created in NX7.5.0. | |
NXOpen::Preferences::SessionModeling::SketchDefaultActionType | SketchDefaultAction () |
Returns the sketch default action Created in NX7.5.0. | |
NXOpen::Preferences::SessionModeling::SketchEditType | SketchEditOption () |
Returns the option that determines whether or not task environment is used to edit the sketch Created in NX7.5.0. | |
NXOpen::Preferences::SessionModeling::SplineDefaultActionTypes | SplineDefaultActionType () |
Returns the value indicating the default action for a spline. | |
NXOpen::Preferences::SessionModeling::SurfaceExtensionOption | SurfaceExtension () |
Returns the surface extension option. | |
tag_t | Tag () const |
Returns the tag of this object. | |
int | TangentColor () |
Returns the tangent color Created in NX3.0.0. | |
bool | UpdateDelayed () |
Returns the update delayed option. | |
bool | UpdateFailureReportPreference () |
Returns the option "Update Failure Report" gives choice, whether the user wants the update failure report to be generated for the features that failed during current update cycle. | |
bool | UpdatePending () |
Returns the update pending option. | |
bool | UseTriangularMesh () |
Returns the use triangular mesh setting setting. | |
Represents the set of Modeling preferences applicable to entire session
To obtain an instance of this class, refer to Preferences::SessionPreferences
Created in NX3.0.0.
Describes whether the display of Boolean Face properties inherits from target body or tool body.
Describes whether the Curve Fit Method type is selected as cubic or quintic or advanced.
Describes whether the Dynamic Update type is not selected or selected as incremental or continuous.
Describes whether the display of linked and extracted geometry properties inherits from parent object or part default.
Describes whether the display of New Face properties inherits from body or part default.
Freeform preview resolutions.
Options for saving a part file with sharing of geometry data to reduce file size.
Specifies the command that should be invoked when double-clicking on a spline.
The option applies to non-associative splines and Studio Spline features in the Shape Studio application only.
Created in NX7.0.0.
SplineDefaultActionTypesStudioSpline |
Specifies Studio Spline for editing a spline. |
SplineDefaultActionTypesXform |
Specifies X-form for editing a spline. |
Options for controling how surfaces will be extended while moving geometry.
int NXOpen::Preferences::SessionModeling::AccelerationColor | ( | ) |
Returns the acceleration color
Created in NX3.0.0.
License requirements : None
bool NXOpen::Preferences::SessionModeling::ActivateFeatureGroupWithRollback | ( | ) |
Returns the flag to activate the feature group with rollback or not, if the flag is true, the highest member feature will be made as current feature
Created in NX8.5.0.
License requirements : None
bool NXOpen::Preferences::SessionModeling::AllowEditingOfDimensionOfInternalSketch | ( | ) |
Returns the option "allow_editing_of_dimension_of_internal_sketch" gives choice, whether or not the sketch dimensions will display and be possible to select and edit directly, without entering the Sketch task environment when a dialog (e.g.
Extrude, Revolve, Hole etc.) is active which allows editing on an internal sketch.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Preferences::SessionModeling::AssociativeEditFreeForm | ( | ) |
Returns the associative edit free form option.
Specify whether the output of editing certain free form features remain as free form features or as unparameterized features.
Created in NX3.0.0.
License requirements : None
NXOpen::Preferences::SessionModeling::BodyTypeOption NXOpen::Preferences::SessionModeling::BodyType | ( | ) |
Returns the body type.
Toggles between Solid and Sheet. When creating bodies through curves, the Body Type option provides control to the type of body (for example, solid body vs. sheet body) that is created.
Created in NX3.0.0.
License requirements : None
NXOpen::Preferences::SessionModeling::BooleanFacePropertiesInheritance NXOpen::Preferences::SessionModeling::BooleanFaceProperties | ( | ) |
Returns the boolean face properties inheritance.
Specifies whether the boolean face properties inherit from target body or tool body
Created in NX3.0.0.
License requirements : None
int NXOpen::Preferences::SessionModeling::CurvatureColor | ( | ) |
Returns the curvature color
Created in NX3.0.0.
License requirements : None
NXOpen::Preferences::SessionModeling::CurveFitMethodType NXOpen::Preferences::SessionModeling::CurveFitMethod | ( | ) |
Returns the curve fit method.
Controls the fitting method used when curves must be approximated by splines.
Created in NX3.0.0.
License requirements : None
bool NXOpen::Preferences::SessionModeling::DisplayLegacyFeatureName | ( | ) |
Returns the toggle "Display Legacy Feature names" gives choice, how user wants feature name in "Name" Coulmn in Partnav checked toggled(True) will show old feature names in "Name" column in Partnav, while unchecked toggled(False) will show new translatable feature names in "Name" column in Partnav
Created in NX4.0.0.
License requirements : None
NXOpen::Preferences::SessionModeling::DynamicUpdateType NXOpen::Preferences::SessionModeling::DynamicUpdate | ( | ) |
Returns the dynamic update.
Specifies that the system dynamically displays in real time with each updation of parent curves, splines, bridge curves, lines or arcs
Created in NX3.0.0.
License requirements : None
bool NXOpen::Preferences::SessionModeling::EditWithRollbackUponDoubleClick | ( | ) |
Returns the option "Edit with Rollback upon Double-Click" gives choice of what action to be taken on feature upon Double clicking, either in partnavigator or in Graphics widow.
if the option is true then edit with rollback will be happen upon Double-click. if the option is false then the previous default action will be executed
Created in NX4.0.0.
License requirements : None
bool NXOpen::Preferences::SessionModeling::EnableTrimmedAnimation | ( | ) |
Returns the enable trimmed animation setting.
Created in NX4.0.0.
License requirements : None
int NXOpen::Preferences::SessionModeling::EndpointDisplayColor | ( | ) |
Returns the color for display endpoints for curves.
Created in NX8.5.0.
License requirements : None
bool NXOpen::Preferences::SessionModeling::EndpointDisplayInheritColor | ( | ) |
Returns the endpoint color inherit option, for display with curves.
Created in NX8.5.0.
License requirements : None
NXOpen::Preferences::SessionModeling::EndpointDisplayStyleType NXOpen::Preferences::SessionModeling::EndpointDisplayStyle | ( | ) |
Returns the style (2D disk, mark, etc.) of the endpoints for display of curves.
Created in NX8.5.0.
License requirements : None
NXOpen::Preferences::SessionModeling::FreeFormConstructionResultType NXOpen::Preferences::SessionModeling::FreeFormConstructionResult | ( | ) |
Returns the free form construction result.
Controls free form feature creation when using the Through Curves, Through Curve Mesh, Swept, and Ruled options.
Created in NX3.0.0.
License requirements : None
NXOpen::Preferences::SessionModeling::ImmediateChildrenType NXOpen::Preferences::SessionModeling::ImmediateChildren | ( | ) |
Returns the immediate children.
Specifies to which level the dynamic updation is applicable.
Created in NX3.0.0.
License requirements : None
bool NXOpen::Preferences::SessionModeling::InterruptUpdateOnError | ( | ) |
Returns the option "Interrupt Update on Error" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain errors during feature update/playback.
if the option is true then the dialog will appear. if the option is false then dialog will not appear during feature update.
Created in NX5.0.0.
License requirements : None
bool NXOpen::Preferences::SessionModeling::InterruptUpdateOnMissingReferences | ( | ) |
Returns the option "Interrupt Update on Missing References" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain missing references during feature update/playback.
if the option is true then the dialog will appear. if the option is false then dialog will not appear during feature update.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Preferences::SessionModeling::InterruptUpdateOnWarning | ( | ) |
Returns the option "Interrupt Update on Warning" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain warnings during feature update/playback.
if the option is true then the dialog will appear. if the option is false then dialog will not appear during feature update.
Created in NX5.0.0.
License requirements : None
NXOpen::Preferences::SessionModeling::LinkedAndExtractedGeometryPropertiesInheritance NXOpen::Preferences::SessionModeling::LinkedAndExtractedGeometryProperties | ( | ) |
Returns the linked and extracted geometry properties inheritance.
Specifies whether linked and extracted geometry properties inherits from parent object or part default
Created in NX6.0.0.
License requirements : None
bool NXOpen::Preferences::SessionModeling::MakeCurrentOnError | ( | ) |
Returns the option "Make Current on Error" gives choice, whether the user wants to make error feature current when features contain errors during feature update/playback.
If the option is true then the error feature will be made current. If the option is false then the error feature will not be made current feature during feature update.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Preferences::SessionModeling::MakeDatumsInternal | ( | ) |
Returns the option specifying whether to automatically make the datums internal during the sketch creation.
If the option is true then datums are automatically made internal to child sketches, else datums are not automatically made internal to child sketches.
Created in NX7.0.0.
License requirements : None
bool NXOpen::Preferences::SessionModeling::MakeSketchesInternal | ( | ) |
Returns the option specifying whether to automatically make sketch internal during feature creation.
If the option is true then external sketches are automatically made internal to child features, else external sketches are not automatically made internal to child features.
Created in NX7.0.0.
License requirements : None
NXOpen::Preferences::SessionModeling::NewFacePropertiesInheritance NXOpen::Preferences::SessionModeling::NewFaceProperties | ( | ) |
Returns the new face properties inheritance.
Specifies whether new face properties inherits from body or part default
Created in NX3.0.0.
License requirements : None
bool NXOpen::Preferences::SessionModeling::NotifyOnDelete | ( | ) |
Returns the option " Notify on Delete " gives choice, whether the user wants a notification message when a feature is being deleted will effect other features.
if the option is true then it popup a notification message. if the option is true then it will not popup any notification message
Created in NX4.0.0.
License requirements : None
int NXOpen::Preferences::SessionModeling::PmarkFrequency | ( | ) |
Returns the features/mark.
Controls how often, during feature creation and editing, the system sets internal marks used in updating. A Features/Mark value of 5, for example, means that one mark will be set after five features are created or edited.
Created in NX3.0.0.
License requirements : None
int NXOpen::Preferences::SessionModeling::PoleDisplayColor | ( | ) |
Returns the color for display poles for B curves.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Preferences::SessionModeling::PoleDisplayInheritColor | ( | ) |
Returns the pole color inherit option, for display with B curves.
Created in NX7.5.0.
License requirements : None
NXOpen::Preferences::SessionModeling::PoleDisplayStyleType NXOpen::Preferences::SessionModeling::PoleDisplayStyle | ( | ) |
Returns the style (3D ball, 2D disk, mark, etc.) of the poles for display of B curves.
Created in NX7.5.0.
License requirements : None
int NXOpen::Preferences::SessionModeling::PoleEditColor | ( | ) |
Returns the color for editing poles for B curves and B surfaces.
Created in NX3.0.0.
License requirements : None
bool NXOpen::Preferences::SessionModeling::PoleEditInheritColor | ( | ) |
Returns the pole color inherit option, for editing B curves and B surfaces.
Created in NX7.5.0.
License requirements : None
NXOpen::Preferences::SessionModeling::PoleEditStyleType NXOpen::Preferences::SessionModeling::PoleEditStyle | ( | ) |
Returns the style (3D ball, 2D disk, mark, etc.) of the poles for editing B curves and B surfaces.
Created in NX7.5.0.
License requirements : None
int NXOpen::Preferences::SessionModeling::PolylineDisplayColor | ( | ) |
Returns the color for display polylines for B curves and B surfaces
Created in NX7.5.0.
License requirements : None
bool NXOpen::Preferences::SessionModeling::PolylineDisplayInheritColor | ( | ) |
Returns the polyline color inherit option, for display with B curves and B surfaces.
Created in NX7.5.0.
License requirements : None
NXOpen::Preferences::SessionModeling::PolylineStyleType NXOpen::Preferences::SessionModeling::PolylineDisplayStyle | ( | ) |
Returns the style (solid, dashed, etc.) of the polylines display for B curves and B surfaces.
Created in NX7.5.0.
License requirements : None
int NXOpen::Preferences::SessionModeling::PolylineEditColor | ( | ) |
Returns the color for editing polylines for B curves and B surfaces.
Created in NX3.0.0.
License requirements : None
bool NXOpen::Preferences::SessionModeling::PolylineEditInheritColor | ( | ) |
Returns the polyline color inherit option, for editing B curves and B surfaces.
Created in NX7.5.0.
License requirements : None
NXOpen::Preferences::SessionModeling::PolylineStyleType NXOpen::Preferences::SessionModeling::PolylineEditStyle | ( | ) |
Returns the style (solid, dashed, etc.) of the polylines for editing B curves and B surfaces.
Created in NX7.5.0.
License requirements : None
int NXOpen::Preferences::SessionModeling::PositionColor | ( | ) |
Returns the position color
Created in NX3.0.0.
License requirements : None
NXOpen::Preferences::SessionModeling::PreviewResolutionType NXOpen::Preferences::SessionModeling::PreviewResolution | ( | ) |
Returns the preview resolution setting.
Created in NX4.0.0.
License requirements : None
bool NXOpen::Preferences::SessionModeling::SaveRollbackData | ( | ) |
Returns the option " Save Rollback Data " saves extra data with the part file for faster edits.
Created in NX5.0.0.
License requirements : None
void NXOpen::Preferences::SessionModeling::SetAccelerationColor | ( | int | accelerationColor | ) |
Sets the acceleration color
Created in NX3.0.0.
License requirements : None
accelerationColor | acceleration color |
void NXOpen::Preferences::SessionModeling::SetActivateFeatureGroupWithRollback | ( | bool | activateFeatureGroupWithRollback | ) |
Sets the flag to activate the feature group with rollback or not, if the flag is true, the highest member feature will be made as current feature
Created in NX8.5.0.
License requirements : None
activateFeatureGroupWithRollback | activatefeaturegroupwithrollback |
void NXOpen::Preferences::SessionModeling::SetAllowEditingOfDimensionOfInternalSketch | ( | bool | allowEditingOfDimensionOfInternalSketch | ) |
Sets the option "allow_editing_of_dimension_of_internal_sketch" gives choice, whether or not the sketch dimensions will display and be possible to select and edit directly, without entering the Sketch task environment when a dialog (e.g.
Extrude, Revolve, Hole etc.) is active which allows editing on an internal sketch.
Created in NX7.5.0.
License requirements : None
allowEditingOfDimensionOfInternalSketch | allow sketch dim edit of internal sketch preference |
void NXOpen::Preferences::SessionModeling::SetAssociativeEditFreeForm | ( | bool | associativeEditFreeForm | ) |
Sets the associative edit free form option.
Specify whether the output of editing certain free form features remain as free form features or as unparameterized features.
Created in NX3.0.0.
License requirements : None
associativeEditFreeForm | associative edit free form |
void NXOpen::Preferences::SessionModeling::SetBodyType | ( | NXOpen::Preferences::SessionModeling::BodyTypeOption | bodyType | ) |
Sets the body type.
Toggles between Solid and Sheet. When creating bodies through curves, the Body Type option provides control to the type of body (for example, solid body vs. sheet body) that is created.
Created in NX3.0.0.
License requirements : None
bodyType | body type |
void NXOpen::Preferences::SessionModeling::SetBooleanFaceProperties | ( | NXOpen::Preferences::SessionModeling::BooleanFacePropertiesInheritance | booleanFaceProperties | ) |
Sets the boolean face properties inheritance.
Specifies whether the boolean face properties inherit from target body or tool body
Created in NX3.0.0.
License requirements : None
booleanFaceProperties | boolean face properties |
void NXOpen::Preferences::SessionModeling::SetCurvatureColor | ( | int | curvatureColor | ) |
Sets the curvature color
Created in NX3.0.0.
License requirements : None
curvatureColor | curvature color |
void NXOpen::Preferences::SessionModeling::SetCurveFitMethod | ( | NXOpen::Preferences::SessionModeling::CurveFitMethodType | bodyType | ) |
Sets the curve fit method.
Controls the fitting method used when curves must be approximated by splines.
Created in NX3.0.0.
License requirements : None
bodyType | body type |
void NXOpen::Preferences::SessionModeling::SetDisplayLegacyFeatureName | ( | bool | displayLegacyFeatureName | ) |
Sets the toggle "Display Legacy Feature names" gives choice, how user wants feature name in "Name" Coulmn in Partnav checked toggled(True) will show old feature names in "Name" column in Partnav, while unchecked toggled(False) will show new translatable feature names in "Name" column in Partnav
Created in NX4.0.0.
License requirements : None
displayLegacyFeatureName | preference to display_legacy_feature_name |
void NXOpen::Preferences::SessionModeling::SetDynamicUpdate | ( | NXOpen::Preferences::SessionModeling::DynamicUpdateType | dynamicUpdate | ) |
Sets the dynamic update.
Specifies that the system dynamically displays in real time with each updation of parent curves, splines, bridge curves, lines or arcs
Created in NX3.0.0.
License requirements : None
dynamicUpdate | dynamic update |
void NXOpen::Preferences::SessionModeling::SetEditWithRollbackUponDoubleClick | ( | bool | defaultEditOption | ) |
Sets the option "Edit with Rollback upon Double-Click" gives choice of what action to be taken on feature upon Double clicking, either in partnavigator or in Graphics widow.
if the option is true then edit with rollback will be happen upon Double-click. if the option is false then the previous default action will be executed
Created in NX4.0.0.
License requirements : None
defaultEditOption | preference to Edit with Rollback upon Double-Click |
void NXOpen::Preferences::SessionModeling::SetEnableTrimmedAnimation | ( | bool | enable | ) |
Sets the enable trimmed animation setting.
Created in NX4.0.0.
License requirements : None
enable | enable |
void NXOpen::Preferences::SessionModeling::SetEndpointDisplayColor | ( | int | endpointDisplayColor | ) |
Sets the color for display endpoints for curves.
Created in NX7.5.0.
License requirements : None
endpointDisplayColor | endpoint display color |
void NXOpen::Preferences::SessionModeling::SetEndpointDisplayInheritColor | ( | bool | endpointDisplayInheritColor | ) |
Sets the endpoint color inherit option, for display with curves.
Created in NX8.5.0.
License requirements : None
endpointDisplayInheritColor | endpoint display inherit color |
void NXOpen::Preferences::SessionModeling::SetEndpointDisplayStyle | ( | NXOpen::Preferences::SessionModeling::EndpointDisplayStyleType | endpointDisplayStyle | ) |
Sets the style (2D disk, mark, etc.) of the endpoints for display of curves.
Created in NX8.5.0.
License requirements : None
endpointDisplayStyle | endpoint display style |
void NXOpen::Preferences::SessionModeling::SetFreeFormConstructionResult | ( | NXOpen::Preferences::SessionModeling::FreeFormConstructionResultType | freeFormConstrResult | ) |
Sets the free form construction result.
Controls free form feature creation when using the Through Curves, Through Curve Mesh, Swept, and Ruled options.
Created in NX3.0.0.
License requirements : None
freeFormConstrResult | free form constr result |
void NXOpen::Preferences::SessionModeling::SetImmediateChildren | ( | NXOpen::Preferences::SessionModeling::ImmediateChildrenType | immediateChildren | ) |
Sets the immediate children.
Specifies to which level the dynamic updation is applicable.
Created in NX3.0.0.
License requirements : None
immediateChildren | immediate children |
void NXOpen::Preferences::SessionModeling::SetInterruptUpdateOnError | ( | bool | interruptOnError | ) |
Sets the option "Interrupt Update on Error" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain errors during feature update/playback.
if the option is true then the dialog will appear. if the option is false then dialog will not appear during feature update.
Created in NX5.0.0.
License requirements : None
interruptOnError | preference to Interrupt Update on Error |
void NXOpen::Preferences::SessionModeling::SetInterruptUpdateOnMissingReferences | ( | bool | interruptOnMissingReferences | ) |
Sets the option "Interrupt Update on Missing References" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain missing references during feature update/playback.
if the option is true then the dialog will appear. if the option is false then dialog will not appear during feature update.
Created in NX7.5.0.
License requirements : None
interruptOnMissingReferences | preference to Interrupt Update on Missing References |
void NXOpen::Preferences::SessionModeling::SetInterruptUpdateOnWarning | ( | bool | interruptOnWarning | ) |
Sets the option "Interrupt Update on Warning" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain warnings during feature update/playback.
if the option is true then the dialog will appear. if the option is false then dialog will not appear during feature update.
Created in NX5.0.0.
License requirements : None
interruptOnWarning | preference to Interrupt Update on Warning |
void NXOpen::Preferences::SessionModeling::SetLinkedAndExtractedGeometryProperties | ( | NXOpen::Preferences::SessionModeling::LinkedAndExtractedGeometryPropertiesInheritance | linkedAndExtractedGeometryProperties | ) |
Sets the linked and extracted geometry properties inheritance.
Specifies whether linked and extracted geometry properties inherits from parent object or part default
Created in NX6.0.0.
License requirements : None
linkedAndExtractedGeometryProperties | linked and extracted geometry properties |
void NXOpen::Preferences::SessionModeling::SetMakeCurrentOnError | ( | bool | currentOnError | ) |
Sets the option "Make Current on Error" gives choice, whether the user wants to make error feature current when features contain errors during feature update/playback.
If the option is true then the error feature will be made current. If the option is false then the error feature will not be made current feature during feature update.
Created in NX7.5.0.
License requirements : None
currentOnError | preference to Make Error Feature Current on Error |
void NXOpen::Preferences::SessionModeling::SetMakeDatumsInternal | ( | bool | makeDatumsInternal | ) |
Sets the option specifying whether to automatically make the datums internal during the sketch creation.
If the option is true then datums are automatically made internal to child sketches, else datums are not automatically made internal to child sketches.
Created in NX7.0.0.
License requirements : None
makeDatumsInternal | Flag indicating whether to make datums internal |
void NXOpen::Preferences::SessionModeling::SetMakeSketchesInternal | ( | bool | makeSketchesInternal | ) |
Sets the option specifying whether to automatically make sketch internal during feature creation.
If the option is true then external sketches are automatically made internal to child features, else external sketches are not automatically made internal to child features.
Created in NX7.0.0.
License requirements : None
makeSketchesInternal | Flag indicating whether to make sketches internal |
void NXOpen::Preferences::SessionModeling::SetNewFaceProperties | ( | NXOpen::Preferences::SessionModeling::NewFacePropertiesInheritance | newFaceProperties | ) |
Sets the new face properties inheritance.
Specifies whether new face properties inherits from body or part default
Created in NX3.0.0.
License requirements : None
newFaceProperties | new face properties |
void NXOpen::Preferences::SessionModeling::SetNotifyOnDelete | ( | bool | notifyOnDelete | ) |
Sets the option " Notify on Delete " gives choice, whether the user wants a notification message when a feature is being deleted will effect other features.
if the option is true then it popup a notification message. if the option is true then it will not popup any notification message
Created in NX4.0.0.
License requirements : None
notifyOnDelete | preference to Notify on Delete |
void NXOpen::Preferences::SessionModeling::SetPmarkFrequency | ( | int | pmarkFrequency | ) |
Sets the features/mark.
Controls how often, during feature creation and editing, the system sets internal marks used in updating. A Features/Mark value of 5, for example, means that one mark will be set after five features are created or edited.
Created in NX3.0.0.
License requirements : None
pmarkFrequency | pmark frequency |
void NXOpen::Preferences::SessionModeling::SetPoleDisplayColor | ( | int | poleDisplayColor | ) |
Sets the color for display poles for B curves.
Created in NX7.5.0.
License requirements : None
poleDisplayColor | pole display color |
void NXOpen::Preferences::SessionModeling::SetPoleDisplayInheritColor | ( | bool | poleDisplayInheritColor | ) |
Sets the pole color inherit option, for display with B curves.
Created in NX7.5.0.
License requirements : None
poleDisplayInheritColor | pole display inherit color |
void NXOpen::Preferences::SessionModeling::SetPoleDisplayStyle | ( | NXOpen::Preferences::SessionModeling::PoleDisplayStyleType | poleDisplayStyle | ) |
Sets the style (3D ball, 2D disk, mark, etc.) of the poles for display of B curves.
Created in NX7.5.0.
License requirements : None
poleDisplayStyle | pole display style |
void NXOpen::Preferences::SessionModeling::SetPoleEditColor | ( | int | poleEditColor | ) |
Sets the color for editing poles for B curves and B surfaces.
Created in NX3.0.0.
License requirements : None
poleEditColor | pole edit color |
void NXOpen::Preferences::SessionModeling::SetPoleEditInheritColor | ( | bool | poleEditInheritColor | ) |
Sets the pole color inherit option, for editing B curves and B surfaces.
Created in NX7.5.0.
License requirements : None
poleEditInheritColor | pole edit inherit color |
void NXOpen::Preferences::SessionModeling::SetPoleEditStyle | ( | NXOpen::Preferences::SessionModeling::PoleEditStyleType | poleEditStyle | ) |
Sets the style (3D ball, 2D disk, mark, etc.) of the poles for editing B curves and B surfaces.
Created in NX7.5.0.
License requirements : None
poleEditStyle | pole edit style |
void NXOpen::Preferences::SessionModeling::SetPolylineDisplayColor | ( | int | polylineDisplayColor | ) |
Sets the color for display polylines for B curves and B surfaces
Created in NX7.5.0.
License requirements : None
polylineDisplayColor | polyline display color |
void NXOpen::Preferences::SessionModeling::SetPolylineDisplayInheritColor | ( | bool | polylineDisplayInheritColor | ) |
Sets the polyline color inherit option, for display with B curves and B surfaces.
Created in NX7.5.0.
License requirements : None
polylineDisplayInheritColor | polyline display inherit color |
void NXOpen::Preferences::SessionModeling::SetPolylineDisplayStyle | ( | NXOpen::Preferences::SessionModeling::PolylineStyleType | polylineDisplayStyle | ) |
Sets the style (solid, dashed, etc.) of the polylines display for B curves and B surfaces.
Created in NX7.5.0.
License requirements : None
polylineDisplayStyle | polyline display style |
void NXOpen::Preferences::SessionModeling::SetPolylineEditColor | ( | int | polylineEditColor | ) |
Sets the color for editing polylines for B curves and B surfaces.
Created in NX3.0.0.
License requirements : None
polylineEditColor | polyline edit color |
void NXOpen::Preferences::SessionModeling::SetPolylineEditInheritColor | ( | bool | polylineEditInheritColor | ) |
Sets the polyline color inherit option, for editing B curves and B surfaces.
Created in NX7.5.0.
License requirements : None
polylineEditInheritColor | polyline edit inherit color |
void NXOpen::Preferences::SessionModeling::SetPolylineEditStyle | ( | NXOpen::Preferences::SessionModeling::PolylineStyleType | polylineEditStyle | ) |
Sets the style (solid, dashed, etc.) of the polylines for editing B curves and B surfaces.
Created in NX7.5.0.
License requirements : None
polylineEditStyle | polyline edit style |
void NXOpen::Preferences::SessionModeling::SetPositionColor | ( | int | positionColor | ) |
Sets the position color
Created in NX3.0.0.
License requirements : None
positionColor | position color |
void NXOpen::Preferences::SessionModeling::SetPreviewResolution | ( | NXOpen::Preferences::SessionModeling::PreviewResolutionType | resolution | ) |
Sets the preview resolution setting.
Created in NX4.0.0.
License requirements : None
resolution | resolution |
void NXOpen::Preferences::SessionModeling::SetSaveRollbackData | ( | bool | retainRollbackData | ) |
Sets the option " Save Rollback Data " saves extra data with the part file for faster edits.
Created in NX5.0.0.
License requirements : None
retainRollbackData | preference to retain rollback data |
void NXOpen::Preferences::SessionModeling::SetShareGeometriesOption | ( | NXOpen::Preferences::SessionModeling::ShareGeometriesOnSaveType | shareGeometryOnSave | ) |
Sets the option " Share Geometry on Save " gives choice of whether to share geometries among Parasolid solid entities on save or not
Created in NX8.5.0.
License requirements : None
shareGeometryOnSave | preference to share geometries on save |
void NXOpen::Preferences::SessionModeling::SetShowSimuationUiInModeling | ( | bool | showSimuationUiInModeling | ) |
void NXOpen::Preferences::SessionModeling::SetSketchDefaultAction | ( | NXOpen::Preferences::SessionModeling::SketchDefaultActionType | sketchAction | ) |
Sets the sketch default action
Created in NX7.5.0.
License requirements : None
sketchAction | default action on sketches |
void NXOpen::Preferences::SessionModeling::SetSketchEditOption | ( | NXOpen::Preferences::SessionModeling::SketchEditType | sketchEditOption | ) |
Sets the option that determines whether or not task environment is used to edit the sketch
Created in NX7.5.0.
License requirements : None
sketchEditOption | edit option on sketches |
void NXOpen::Preferences::SessionModeling::SetSplineDefaultActionType | ( | NXOpen::Preferences::SessionModeling::SplineDefaultActionTypes | action | ) |
Sets the value indicating the default action for a spline.
Created in NX7.0.0.
License requirements : None
action | action |
void NXOpen::Preferences::SessionModeling::SetSurfaceExtension | ( | NXOpen::Preferences::SessionModeling::SurfaceExtensionOption | surfaceExtensionOption | ) |
Sets the surface extension option.
Controls how surfaces will be extended while moving geometry
Created in NX9.0.0.
License requirements : None
surfaceExtensionOption | Surface extension option |
void NXOpen::Preferences::SessionModeling::SetTangentColor | ( | int | tangentColor | ) |
Sets the tangent color
Created in NX3.0.0.
License requirements : None
tangentColor | tangent color |
void NXOpen::Preferences::SessionModeling::SetUpdateDelayed | ( | bool | option | ) |
Sets the update delayed option.
If the option is true, then an edited feature does not update until Update::DoUpdate is explicitly called. If the option is false, then the edited feature updates immediately. The default is false.
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
option | option |
void NXOpen::Preferences::SessionModeling::SetUpdateFailureReportPreference | ( | bool | updateFailureReport | ) |
Sets the option "Update Failure Report" gives choice, whether the user wants the update failure report to be generated for the features that failed during current update cycle.
If the option is true then the update failure report will be launched at the end of every update cycle. It will list only those features that failed in that update cycle. If the option is false then no such report will be launched.
Created in NX5.0.0.
License requirements : None
updateFailureReport | update failure report preference |
void NXOpen::Preferences::SessionModeling::SetUpdatePending | ( | bool | option | ) |
Sets the update pending option.
If the option only works when update delayed option is true, if the option is true, there is an edited feature to be updated till Update::DoUpdate is explicitly called. If the option is false, there is not an edited feature to be updated. The default is false.
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
option | option |
void NXOpen::Preferences::SessionModeling::SetUseTriangularMesh | ( | bool | use | ) |
Sets the use triangular mesh setting setting.
Created in NX4.0.0.
License requirements : None
use | use |
NXOpen::Preferences::SessionModeling::ShareGeometriesOnSaveType NXOpen::Preferences::SessionModeling::ShareGeometriesOption | ( | ) |
Returns the option " Share Geometry on Save " gives choice of whether to share geometries among Parasolid solid entities on save or not
Created in NX8.5.0.
License requirements : None
bool NXOpen::Preferences::SessionModeling::ShowSimuationUiInModeling | ( | ) |
Returns the option to specify whether simulation specific UI should show up in modeling
Created in NX7.5.0.
License requirements : None
NXOpen::Preferences::SessionModeling::SketchDefaultActionType NXOpen::Preferences::SessionModeling::SketchDefaultAction | ( | ) |
Returns the sketch default action
Created in NX7.5.0.
License requirements : None
NXOpen::Preferences::SessionModeling::SketchEditType NXOpen::Preferences::SessionModeling::SketchEditOption | ( | ) |
Returns the option that determines whether or not task environment is used to edit the sketch
Created in NX7.5.0.
License requirements : None
NXOpen::Preferences::SessionModeling::SplineDefaultActionTypes NXOpen::Preferences::SessionModeling::SplineDefaultActionType | ( | ) |
Returns the value indicating the default action for a spline.
Created in NX7.0.0.
License requirements : None
NXOpen::Preferences::SessionModeling::SurfaceExtensionOption NXOpen::Preferences::SessionModeling::SurfaceExtension | ( | ) |
Returns the surface extension option.
Controls how surfaces will be extended while moving geometry
Created in NX9.0.0.
License requirements : None
tag_t NXOpen::Preferences::SessionModeling::Tag | ( | ) | const |
Returns the tag of this object.
int NXOpen::Preferences::SessionModeling::TangentColor | ( | ) |
Returns the tangent color
Created in NX3.0.0.
License requirements : None
bool NXOpen::Preferences::SessionModeling::UpdateDelayed | ( | ) |
Returns the update delayed option.
If the option is true, then an edited feature does not update until Update::DoUpdate is explicitly called. If the option is false, then the edited feature updates immediately. The default is false.
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
bool NXOpen::Preferences::SessionModeling::UpdateFailureReportPreference | ( | ) |
Returns the option "Update Failure Report" gives choice, whether the user wants the update failure report to be generated for the features that failed during current update cycle.
If the option is true then the update failure report will be launched at the end of every update cycle. It will list only those features that failed in that update cycle. If the option is false then no such report will be launched.
Created in NX5.0.0.
License requirements : None
bool NXOpen::Preferences::SessionModeling::UpdatePending | ( | ) |
Returns the update pending option.
If the option only works when update delayed option is true, if the option is true, there is an edited feature to be updated till Update::DoUpdate is explicitly called. If the option is false, there is not an edited feature to be updated. The default is false.
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
bool NXOpen::Preferences::SessionModeling::UseTriangularMesh | ( | ) |
Returns the use triangular mesh setting setting.
Created in NX4.0.0.
License requirements : None